{#
/**
 * @file
 * Default theme implementation to display a paragraph.
 *
 * Available variables:
 * - paragraph: Full paragraph entity.
 *   Only method names starting with "get", "has", or "is" and a few common
 *   methods such as "id", "label", and "bundle" are available. For example:
 *   - paragraph.getCreatedTime() will return the paragraph creation timestamp.
 *   - paragraph.id(): The paragraph ID.
 *   - paragraph.bundle(): The type of the paragraph, for example, "image" or "text".
 *   - paragraph.getOwnerId(): The user ID of the paragraph author.
 *   See Drupal\paragraphs\Entity\Paragraph for a full list of public properties
 *   and methods for the paragraph object.
 * - content: All paragraph items. Use {{ content }} to print them all,
 *   or print a subset such as {{ content.field_example }}. Use
 *   {{ content|without('field_example') }} to temporarily suppress the printing
 *   of a given child element.
 * - attributes: HTML attributes for the containing element.
 *   The attributes.class element may contain one or more of the following
 *   classes:
 *   - paragraphs: The current template type (also known as a "theming hook").
 *   - paragraphs--type-[type]: The current paragraphs type. For example, if the paragraph is an
 *     "Image" it would result in "paragraphs--type--image". Note that the machine
 *     name will often be in a short form of the human readable label.
 *   - paragraphs--view-mode--[view_mode]: The View Mode of the paragraph; for example, a
 *     preview would result in: "paragraphs--view-mode--preview", and
 *     default: "paragraphs--view-mode--default".
 * - view_mode: View mode; for example, "preview" or "full".
 * - logged_in: Flag for authenticated user status. Will be true when the
 *   current user is a logged-in member.
 * - is_admin: Flag for admin user status. Will be true when the current user
 *   is an administrator.
 *
 * Vars:
 * - list_count: Number of list items
 * - list_style: List style to use
 * - list_size: List size to use icon/numbers
 *
 * Content: List Paragraph field values
 * - field_paragraph: List of paragraphs content to display(field_media,field_wysiwyg)
 *
 * @see template_preprocess_paragraph()
 *
 * @ingroup themeable
 */
#}
{%
  set classes = [
    'paragraph',
    'paragraph--type--' ~ paragraph.bundle|clean_class,
    view_mode ? 'paragraph--view-mode--' ~ view_mode|clean_class,
    not paragraph.isPublished() ? 'paragraph--unpublished',
    'list-pattern'
  ]
%}
{%
  set ol_classes = [
    'list-group list-group-numbered',
    list_style == 'primary' ? 'cu-styled-list' : 'cu-styled-list-' ~ list_style|clean_class
  ]
%}
{%
  set li_classes = [
    'list-group-item',
    list_size != 'small' ? 'cu-styled-list-item-' ~ list_size|clean_class
  ]
%}

{% block paragraph %}
  <div{{ attributes.addClass(classes) }}>
    {% block content %}
      <ol{{ attributes.addClass(ol_classes) }}>
      {% for key, item in content.field_paragraph|filter((item, key) => item != '' and key|first != '#') %}
        {% set body = {
          '#type': 'processed_text',
          '#text': item['#paragraph'].field_wysiwyg.value,
          '#format': item['#paragraph'].field_wysiwyg.format,
        } %}
        <li{{ attributes.addClass(li_classes).removeClass(ol_classes).removeClass(classes) }}>{{ body }}</li>
      {% endfor %}
      </ol>
    {% endblock content %}
  </div>
{% endblock paragraph %}
